Summary: Complementary and updated manual pages
Name: man-pages-overrides
Version: 0.5.7.3
Release: 3%{?dist}
# man - GPLv2
License: GPLv2
Group: Documentation
# there is no public download location for this package
Source0: man-pages-overrides-%{version}.tar.gz
Patch0: mpo-0.5.7.1-vixie-cron1.patch
Patch1: mpo-0.5.7.1-psacct.patch
Patch2: mpo-0.5.7.1-util-linux.patch
Patch3: mpo-0.5.7.1-ksh.patch
Patch4: mpo-0.5.7.1-expect.patch
Patch5: mpo-0.5.7.1-ypserv.patch
Patch6: mpo-0.5.7.1-vixie-cron2.patch
Patch7: mpo-0.5.7.1-net-tools.patch
Patch8: mpo-0.5.7.1-mp.patch
Patch9: mpo-0.5.7.2-samba.patch
Patch10: mpo-0.5.7.3-openldap.patch
Buildroot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch: noarch
Requires: man >= 1.6d-2

%description
A collection of manual ("man") pages to complement other packages or update
those contained therein. Always have the latest version of this package
installed.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
cd netpbm/man1
./makeman *.html
rm *.html
rm makeman

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_mandir}/overrides
mkdir -p $RPM_BUILD_ROOT%{_docdir}
for i in `ls`; do
    if [ -d $i ]
    then
        for j in `ls $i`; do
           if [ -d $i/$j ]
           then
               mkdir -p $RPM_BUILD_ROOT%{_mandir}/overrides/$j
               cp -f $i/$j/* $RPM_BUILD_ROOT%{_mandir}/overrides/$j
           else
              mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/$i
              cp $i/$j $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/$i
           fi
        done
    fi
done

mv $RPM_BUILD_ROOT%{_mandir}/overrides/man1/sh.1 $RPM_BUILD_ROOT%{_mandir}/overrides/man1/ksh93.1


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}-%{version}
%{_mandir}/overrides

%changelog
* Tue Jun 14 2011 Ivana Hutarova Varekova <varekova@redhat.com> 0.5.7.3-3
- Related: #671321
  route command option mss sets MTU

* Mon Jun  6 2011 Ivana Hutarova Varekova <varekova@redhat.com> 0.5.7.3-2
- Related: #576795
  KSH default path description is bogus

* Wed May 25 2011 Ivana Hutarova Varekova <varekova@redhat.com> 0.5.7.3-1
- Related: #496036
  add jbigtopnm.1 manual page
- Related: #536899
  fix the origina manual page source
- Related: #576795
  move sh to ksh93
- Resolves: #649048
  Document preferred use of TLS_CACERT instead of TLS_CACERTDIR to specify
  Certificate Authorities

* Thu May  5 2011 Ivana Hutarova Varekova <varekova@redhat.com> 0.5.7.2-1
- Resolves: #621926
  mount.cifs(8) man page missing nounix option

* Thu Apr 27 2011 Ivana Hutarova Varekova <varekova@redhat.com> 0.5.7.1-2
- Related: #496036
  remove script which regenerates manual pages

* Wed Apr 27 2011 Ivana Hutarova Varekova <varekova@redhat.com> 0.5.7.1-1
- Resolves: #448544
  fix a typo in vixie-cron.1 manual page
- Resolves: #464865
  removed reference to nonexisting manual page in sa.8
- Resolves: #496036
  add manual pages pnmtojbig and pcdovtoppm
- Resolves: #536899
  mount man page is missing support for ext4/xfs
- Resolves: #576795
  KSH default path description is bogus
- Resolves: #633696
  fix expected.1 man page typo in formating
- Resolves: #656438
  There is no references for some variables in documentation sysconfig.txt
- Resolves: #658860
  Typo in crond manpage
- Resolves: #671321
  route command option mss sets MTU (route.8 man page)
- Resolves: #698153
  Remove documentation for "order" keyword in /etc/host.conf manpage


* Wed Apr 20 2011 Ivana Hutarova Varekova <varekova@redhat.com> 0.5.7.0-2
- Resolves: #695259
  fix broken dependence

* Mon Mar 10 2011 Ivana Varekova <varekova@redhat.com> 0.5.7.0-1
- made a initial package
